Page MenuHomePhabricator

Translations of the help page should not appear in the wiki configuration list
Closed, ResolvedPublic2 Estimated Story Points

Description

We use a generic PrefixIndex on the wiki config index, which results in a list of both the legitimate subpages with per-wiki configuration, but also the language subpages containing a translation of the index help page, for example Extension:FileImporter/Data/fr.

I don't see any way to fix the transcluded list, so we need to move either the configuration root or the help page. Moving the help page is probably easier. I propose having Extension:FileImporter/Data redirect to Extension:FileImporter/List of configured wikis. Move permissions require "translation administrator" on mediawiki.org.

Event Timeline

awight created this task.Jun 29 2020, 10:44 AM
awight updated the task description. (Show Details)

I would love to propose a 3rd way:

I would love to propose a 3rd way:

Excellent! Let's do that one.

Uh, I just realized, is it even possible to transclude a page with localizations so that the localizations still work? Maybe it's better to stick to suggestion number 2 then.

awight added a comment.EditedJul 1 2020, 2:18 PM

Uh, I just realized, is it even possible to transclude a page with localizations so that the localizations still work? Maybe it's better to stick to suggestion number 2 then.

Good catch! T47096: Add a way to transclude template or other page in the correct language: open, "high priority". There's a new WIP patch...

Lena_WMDE set the point value for this task to 2.
awight added a comment.Jul 2 2020, 9:01 AM

I've asked for the "Translation Administrator" group membership on mediawiki.org.

The page and its translations has been moved, so the configuration subpage list is cleaned of all translation subpages.

To demo: visit https://www.mediawiki.org/wiki/Extension:FileImporter/Data

Follow-up is to point to the redirect target from configuration.

Change 609748 had a related patch set uploaded (by Awight; owner: Awight):
[operations/mediawiki-config@master] Update help URL

https://gerrit.wikimedia.org/r/609748

Lena_WMDE closed this task as Resolved.Jul 7 2020, 11:35 AM
Lena_WMDE claimed this task.
Lena_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2020-06-24 board.

Change 609748 merged by jenkins-bot:
[operations/mediawiki-config@master] Update help URL

https://gerrit.wikimedia.org/r/609748

Mentioned in SAL (#wikimedia-operations) [2020-09-07T11:27:21Z] <urbanecm@deploy1001> Synchronized wmf-config/CommonSettings.php: ff9f1042529bd332effc0fcd18db70f417c2e939: Update help URL (T256623) (duration: 00m 56s)